Bug 729245 - Regression: Missing message summary while adding sudooption.
Summary: Regression: Missing message summary while adding sudooption.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 08:45 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Adding an option to a sudo rule with sudurole-add-option. Consequence: No summary is displayed after the option is added. Fix: Define output_for_cli() on the client side to print the summary to avoid updating the output API. Result: A summary is printed in the form Added option "x" to Sudo Rule "y"
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-08-09 08:45:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-admintools-2.0.99-8.20110804T1127zgiteb0454d.el6.x86_64

How reproducible:
Always

Steps to reproduce:

:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sudorule-add-option_002: ipa sudorule-add-option sudorule1 --sudooption=logfile=/var/log/sudolog
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-add-option sudorule1 --sudooption="logfile=/var/log/sudolog" > /tmp/tmp.LyEgVu1CxY/sudorule-add-option_002.txt 2>&1'
:: [   FAIL   ] :: File '/tmp/tmp.LyEgVu1CxY/sudorule-add-option_002.txt' should contain 'Added option "logfile=/var/log/sudolog" to Sudo rule "sudorule1"' 
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Option: logfile=/var/log/sudolog
:: [   PASS   ] :: Running 'cat /tmp/tmp.LyEgVu1CxY/sudorule-add-option_002.txt'


Actual results:
Missing message summary while adding a sudooption.

Expected results:
Message summary should be displayed.

Additional info:

Marking this as REGRESSION since this test passed in ipa-admintools-2.0.0-25.el6.x86_64.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sudorule-add-option_002: ipa sudorule-add-option sudorule1 --sudooption=logfile=/var/log/sudolog
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-add-option sudorule1 --sudooption="logfile=/var/log/sudolog" > /tmp/tmp.oQU4qexF3t/sudorule-add-option_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.oQU4qexF3t/sudorule-add-option_002.txt' should contain 'Added option "logfile=/var/log/sudolog" to Sudo rule "sudorule1"'
--------------------
sudorule-add-option:
--------------------
----------------------------------------------------------------
Added option "logfile=/var/log/sudolog" to Sudo rule "sudorule1"
----------------------------------------------------------------
:: [   PASS   ] :: Running 'cat /tmp/tmp.oQU4qexF3t/sudorule-add-option_002.txt'

Comment 3 Dmitri Pal 2011-08-09 15:58:56 UTC
https://fedorahosted.org/freeipa/ticket/1595

Comment 4 Rob Crittenden 2011-08-30 18:36:40 UTC
Fixed upstream

master: 327d67fe8db30655315a8616f0c1c5da491910e0

ipa-2-1: 3a355c3b78ba6762a2c2e214616454390913787d

Comment 6 Rob Crittenden 2011-11-01 13:00:20 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Adding an option to a sudo rule with sudurole-add-option.
Consequence: No summary is displayed after the option is added.
Fix: Define output_for_cli() on the client side to print the summary to avoid updating the output API.
Result: A summary is printed in the form Added option "x" to Sudo Rule "y"

Comment 7 Gowrishankar Rajaiyan 2011-11-02 05:15:30 UTC
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sudorule-add-option_002: ipa sudorule-add-option sudorule1 --sudooption=logfile=/var/log/sudolog
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-add-option sudorule1 --sudooption="logfile=/var/log/sudolog" > /tmp/tmp.jHjyYyUOzz/sudorule-add-option_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-option_002.txt' should contain 'Added option "logfile=/var/log/sudolog" to Sudo Rule "sudorule1"'
----------------------------------------------------------------
Added option "logfile=/var/log/sudolog" to Sudo Rule "sudorule1"
----------------------------------------------------------------
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Option: logfile=/var/log/sudolog
:: [   PASS   ] :: Running 'cat /tmp/tmp.jHjyYyUOzz/sudorule-add-option_002.txt'
:: [   PASS   ] :: Running 'ipa sudorule-find sudorule1 --all > /tmp/tmp.jHjyYyUOzz/sudorule-add-option_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-option_002.txt' should contain 'Sudo Option: logfile=/var/log/sudolog'
-------------------
1 Sudo Rule matched
-------------------
  dn: ipauniqueid=199209b4-04a0-11e1-a0da-00215e258b54,cn=sudorules,cn=sudo,dc=testrelm
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Option: logfile=/var/log/sudolog
  ipauniqueid: 199209b4-04a0-11e1-a0da-00215e258b54
  objectclass: ipaassociation, ipasudorule
----------------------------
Number of entries returned 1
----------------------------
:: [   PASS   ] :: Running 'cat /tmp/tmp.jHjyYyUOzz/sudorule-add-option_002.txt'
'f201b5fd-7587-4451-b14f-2525b6188cbb'
sudorule-add-option-002 result: PASS
   metric: 0
   Log: /tmp/beakerlib-3455158/journal.txt
    Info: Searching AVC errors produced since 1320162267.46 (Tue Nov  1 11:44:27 2011)
     Searching logs...
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.eH0V48
:
   AvcLog: /mnt/testarea/tmp.eH0V48

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


Verified. 
Version: ipa-server-2.1.3-7.el6.x86_64

Comment 8 errata-xmlrpc 2011-12-06 18:29:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.